Bug 191555 - up2date --channel gives misleading error when system is not subscribed to specified channel
up2date --channel gives misleading error when system is not subscribed to spe...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-12 16:50 EDT by Beth Nackashi
Modified: 2008-10-17 15:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:44:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Beth Nackashi 2006-05-12 16:50:54 EDT
Description of problem:
Error message given when "up2date --channel=(anychannel) -l" is run with a
channel specified to which the client is not subscribed:

"This system may not be updated until it is associated with a channel."

The error is misleading.  The system is associated with a channel, just not that
particular one.



Version-Release number of selected component (if applicable):
up2date-4.4.69-8


How reproducible:
always

Steps to Reproduce:
1.  Register an i386 system to hosted.
2.  Run up2date --channel=rhn-tools-rhel-3-as-ia64 -l.  This is a valid channel,
but the system is not subscribed to it.

  
Actual results:
[root@test07 root]# up2date --channel=rhn-tools-rhel-3-as-ia64 -l
An error has occurred:
This system may not be updated until it is associated with a channel.
See /var/log/up2date for more information


Expected results:
It should say something like:
1-  If the channel does not exist on the server:  "The specified channel does
not exist."
2-  If the channel is valid but the system is not subscribed to it:  "The system
is not subscribed to the specified channel."

Additional info:
[Fri May 12 16:43:40 2006] up2date updating login info
[Fri May 12 16:43:40 2006] up2date logging into up2date server
[Fri May 12 16:43:40 2006] up2date successfully retrieved authentication token
from up2date server
[Fri May 12 16:43:40 2006] up2date This system may not be updated until it is
associated with a channel.
[Fri May 12 16:43:40 2006] up2date   File "/usr/sbin/up2date", line 1282, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 601, in main
    rhnChannel.setChannels(tempchannels)
   File "/usr/share/rhn/up2date_client/rhnChannel.py", line 285, in setChannels
    return getChannels(label_whitelist=whitelist)
   File "/usr/share/rhn/up2date_client/rhnChannel.py", line 183, in getChannels
    raise up2dateErrors.NoChannelsError(_("This system may not be updated until
it is associated with a channel."))
Comment 2 Red Hat Bugzilla 2007-04-11 20:41:54 EDT
User bnackash@redhat.com's account has been closed
Comment 3 RHEL Product and Program Management 2007-10-19 14:44:10 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.